Das LOGIN-Programm
------------------

Ab Version 1.0v ist der von frheren Versionen bekannte LOGIN-Befehl
als eigenstndiges Programm implementiert.
Nach der eigentlichen Benutzeridentifikation kann LOGIN nun ein beliebiges
in der Datei PASSWD spezifiziertes Programm starten.

Die neue Aufrufsyntax lautet:  LOGIN [-ai?] [passwd-pfad]

Die ensprechenden Parameter werden im folgenden erklrt.

Mit dem LOGIN-Programm ist es mglich, mehreren Benutzern eigene CLI-Umgebungen
(also Environments) bereitzustellen, sowie fr eine Benutzeridentifikation
zu sorgen.

Dabei wird jedem Benutzer Benutzername, Passwort, voller Name, ein Home
Directory sowie ein zu startendes Programm zugewiesen (meist wird das ein
CLI sein). Diese Benutzerdaten werden in einer Datei PASSWD
festgelegt. LOGIN sucht diese Datei in dem Directory, welches in der
Environmentvariable LOGIN angegeben ist, in dem Verzeichnis \ETC des aktuellen
Laufwerkes, sowie in dem Verzeichnis, das LOGIN als Parameter bergeben
werden kann (siehe Syntax).
 
So ist es mglich, da ein geeignetes Programm auf ankommende Anrufe wartet
das Modem abheben lt, anschlieend das LOGIN-Programm startet und dieses
den Benutzer verifiziert. Schlgt die Identifikation fehl, wird LOGIN
beendet, und die Leitung kann aufgelegt werden. Ist sie erfolgreich, wird
das Programm gestartet, das in der PASSWD-Datei angegeben ist.

LOGIN fordert nach dem Start zunchst zur Eingabe des Benutzernamen auf.
Ist der Benutzer in der PASSWD-Datei nicht eingetragen, so hat der Benutzer
drei Versuche einen gltigen Benutzernamen einzugeben. Ist dies nicht
geschehen, so wird LOGIN beendet und zum aufrufenden Programm
zurckgekehrt.

Ist der Benutzer eingetragen, so wird nach dem Passwort gefragt. Ist kein
Passwort vorhanden, gengt Bettigung der <RETURN>-Taste. Wurde das
gltige Passwort eingegeben, so werden die Environmentvariablen USER und
HOME entsprechend gesetzt, in das entsprechende Home-Directory gewechselt und
das angegebene Programm ausgefhrt.

Aufbau der PASSWD-Datei:

  user:password:uid:gid:username:home_directory:default_shell CR/LF

Ein neuer Usereintrag knnte dann etwa so aussehen:

SuperUser::0:0:Peter Meier:e:\super\:c:\bin\command.prg

Beim 'user', also dem Namen unter dem sich ein Benutzer eingelogged
hat und welcher in der Environmentvariablen USER gespeichert wird, wird
Gro- und Kleinschreibung unterschieden, ebenso
beim 'password'. Das Passwort wird verschlsselt abgespeichert und kann
nur mit dem PASSWD-Befehl gendert werden.
'uid' und 'gid' sind ganze Zahlen und werden vom CLI unter TOS ignoriert,
mssen aber aus Kompatibilittsgrnden zu UN*X vorhanden sein.
'username' ist der volle Benutzername, der in der Environmentvariablen
USERNAME gespeichert wird. Die Environmentvariable HOME wird mit 
'home_directory' belegt. Im Feld 'default_shell' wird das Programm
eingetragen, welches LOGIN nach erfolgreicher Benutzeridentifikation
starten soll.

Wird beim Aufruf von LOGIN die i-Option gesetzt, so hat der Benutzer beliebig
viele Versuche, sich zu identifizieren. Die a-Option sorgt dafr, da die
Benutzeridentifikation ber die serielle Schnittstelle stattfindet und
dem aufzurufenden Programm als Befehlszeile "CTTY AUX" bergeben wird.
Daher ist diese Option nur in Verwendung mit dem OSCLI sinnvoll.



