MAN
---

Syntax: MAN [level] command

Es wird die Datei 'command.*' aus einem der Directories, welche in der 
Environmentvariablen MAN gespeichert sind, ausgegeben. Man kann sich so also
ein oder mehrere Directories mit Hilfstexten (ASCII-codiert) anlegen,
die jeweils die Endung '.MAN' tragen knnen.
Wird dabei die optionale Zahl `level' angegeben, so sucht der CLI nach einer
Extension, die mit dieser Zahl beginnt. Dabei darf sich `level' im Bereich
Null bis Sieben bewegen. So knnte die Beschreibung fr den C-Befehl
`strcpy()' etwa `STRCPY.3C' heien. Dabei steht die 3 fr Level 3 und
das `C' fr die Programmiersprache C.

Man knnte also den Utilities und anderen Programmen Level 1, den
Betriebssystemaufrufen den Level 2 und Bibliotheksfunktionen verschiedener
Programmiersprachen den Level 3 zuordnen, wobei der drei noch ein Kennbuchstabe
fr die Programmiersprache nachgestellt wird.

Manchmal kann es sinnvoll sein, mehrere Hilfstexte in einer Datei abzulegen,
die aber unter verschiedenen Namen angesprochen werden soll. So knnte man
alle Stringbefehle in einer Datei 'STRING.3C' ablegen. Nun soll diese Datei
auch unter den Namen 'strcpy', 'strcmp', 'strcat' u.s.w. angesprochen werden.
Dazu wird eine Datei 'MAN.IDX' im Hilfstextdirectory angelegt, die pro Zeile
einen Namen einer Datei zuordnet. Dabei beginnt eine Zeile mit dem Namen,
unter dem die Datei angesprochen werden soll. Dann folgen ein oder
mehrere Leerzeichen und schlielich der Dateiname.
Die Datei knnte also z.B. so aussehen:

strcpy          string
strcmp          string
strcat          string
fopen           gemfile
fcreate         gemfile

Eine solche Indexdatei kann in jedem der in der MAN Environmentvariablen
abgelegten Directories angelegt werden. Dabei bezieht sich jeder Dateiname
auf das jeweilige Directory!

Normalerweise wird die Textdatei durch den internen MORE Befehl ausgegeben.
Es kann dazu jedoch auch z.B. ein Programm benutzt werden. Dazu wird in
der PAGER-Variablen der Name des Befehls abgelegt, der statt MORE die
Datei ausgeben soll.

