COPY oder CP
------------

Syntax: COPY [-ns] pathname [pathname] oder
        CP   [-ns] pathname [pathname]

Mit dem Befehl COPY, bzw. CP kann eine Kopie einer Datei in einem anderen 
Verzeichnis oder Laufwerk angelegt werden. Hierbei sind Wildcards erlaubt.
Ist im Zielpfad bereits eine Datei gleichen Namens vorhanden, fragt der
CLI nach, ob diese gelscht werden soll, oder ob man die Kopieranweisung
abbrechen will. Wird kein Zielpfad angegeben, so ist der aktuelle Pfad
Zielpfad der Operation. Das Dateidatum bleibt hierbei erhalten. Um die
Kopie mit dem aktuellen Systemdatum zu versehen, siehe TOUCH Befehl.
Einige Beispiele:

- COPY *.TXT A:\
    kopiert alle Dateien, die auf '.TXT' enden aus dem aktuellen 
    Verzeichnis auf Laufwerk A:

- COPY *.TXT C:\*.DOC
    kopiert alle Dateien, die auf '.TXT' enden auf
    Laufwerk C und benennt sie gleichzeitig in '.DOC' um.

- COPY HALLO.TXT TEST.DOC
    legt eine Kopie der Datei HALLO.TXT an und nennt sie TEST.DOC.

Mit der Option '-n' (no query) wird die Nachfrage abgeschaltet, ob eine im
Zielpfad schon vorhandene Datei gleichen Namens berschrieben werden soll
oder nicht. Die Option `-s' (silent) bewirkt, da der Kopiervorgang
nicht auf dem Schirm mitprotokolliert wird.


