Pipes
-----

Eine Pipe ist ein sehr angenehmes Mittel zur Kommunikation zwischen
verschiedenen Programmen. Oft ist es gewnscht, die Ausgabe eines Programmes
mit einem anderen Programm weiterzuverarbeiten. Eine Pipe gibt die Ausgabe,
die ein Programm oder Befehl auf den Bildschirm (eigentlich 'stdout')
schreiben will, an ein anderes Programm weiter, das diese Ausgabe als
Eingabe akzeptiert. Eine Pipe ist also eine Art gleichzeitige Ausgabe- und
Eingabeumlenkung mit verschiedenen Programmen.
Das Zeichen, das diese Umlenkung vornimmt, ist der senkrechte Strich ('|').
Soll z.B. die Fehlerliste eines C-Compilers auf eine Datei umgelenkt werden,
so kann diese recht lang werden, und meist hngt ein Groteil der Fehler
vom ersten Fehler ab. So kann man die Ausgabe durch eine Pipe an
HEAD schicken, der nur die ersten paar Fehlermeldungen ausgibt:

  compiler | head -25

So schreibt der Compiler nur noch die ersten 25 Fehlermeldungen auf den
Bildschirm. Man kann diese Ausgabe nun weiter in eine Datei umlenken:
 
  compiler | head -25 >errors

Nun enthlt 'errors' die ersten 25 Fehlermeldungen. Sollen die Fehlermeldungen
nur seitenweise ausgegeben werden und der Compiler hlt nicht an, so kann
die Ausgabe an MORE geschickt werden:

  compiler | more

Nun erfolgt die Ausgabe seitenweise, als htte man:

  compiler >temp
  more temp
  del temp

eingegeben. Damit diese Umleitung funktioniert mu die Ausgabe die in eine
Pipe geschickt werden soll natrlich auch umlenkbar sein, d.h. das Programm
mu seine Ausgaben auf 'stdout' machen.

